I hate to report this, but I already own Independence Pro (and the download in my MAGIX Pro Service Center gives me 3.5 as of a few weeks ago). When I tried 3.6, it broke. I could not get it to recognize my libraries, which work again after uninstalling 3.6 and installing 3.5 again. That was a real puzzler!!! Terry